%define url_ver %(echo %{version}|cut -d. -f1,2)

%define major 0
%define libname %mklibname %{name} %{major}
%define devname %mklibname -d %{name}
%define gioname gio2.0

%define enable_gphoto2 1

%define Werror_cflags %nil

Summary:	Glib VFS library
Name:		gvfs
Version:	1.24.3
Release:	1
License:	LGPLv2+
Group:		System/Libraries
Url:		http://www.gnome.org/
Source0:	ftp://ftp.gnome.org:21/pub/GNOME/sources/gvfs/%{url_ver}/%{name}-%{version}.tar.xz
#gw from Ubuntu, fix music player detection
# https://bugs.freedesktop.org/show_bug.cgi?id=24500
Patch0:		gvfs-music-player-mimetype.patch

BuildRequires:	intltool
BuildRequires:	xsltproc
BuildRequires:	docbook-style-xsl
BuildRequires:	cdda-devel
BuildRequires:	pkgconfig(expat)
BuildRequires:	pkgconfig(avahi-glib)
BuildRequires:	pkgconfig(avahi-client)
BuildRequires:	pkgconfig(dbus-1)
BuildRequires:	pkgconfig(dbus-glib-1)
BuildRequires:	pkgconfig(fuse)
BuildRequires:	pkgconfig(glib-2.0) >= 2.31.0
BuildRequires:	pkgconfig(gobject-2.0)
BuildRequires:	pkgconfig(gmodule-no-export-2.0)
BuildRequires:	pkgconfig(gio-unix-2.0)
BuildRequires:	pkgconfig(gio-2.0)
BuildRequires:	pkgconfig(gnome-keyring-1)
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(libmtp)
BuildRequires:	pkgconfig(gudev-1.0) >= 186
BuildRequires:	pkgconfig(libarchive)
BuildRequires:	pkgconfig(libbluray)
BuildRequires:	pkgconfig(libsoup-gnome-2.4) >= 2.26.0
BuildRequires:	pkgconfig(libcdio)
BuildRequires:	pkgconfig(libcdio_paranoia)
BuildRequires:	pkgconfig(smbclient)
BuildRequires:	pkgconfig(udisks2)
BuildRequires:	pkgconfig(libsystemd)
BuildRequires:	pkgconfig(libsystemd-login)
BuildRequires:	pkgconfig(bluez) >= 4.0
%if %{enable_gphoto2}
BuildRequires:	pkgconfig(libgphoto2)
%endif
BuildRequires:	pkgconfig(libimobiledevice-1.0) >= 1.1.0
BuildRequires:	pkgconfig(libplist) >= 0.15

Requires(post,postun):	%{gioname} >= 2.23.4-2
Requires:	dconf
Requires:	udisks2
Requires:	%{name}-mtp
Suggests:	%{name}-fuse
Suggests:	%{name}-smb
Suggests:	%{name}-archive
Suggests:	%{name}-iphone
%if %{enable_gphoto2}
Suggests:	%{name}-gphoto2
%endif
Conflicts:	%{libname} < 1.6.7-4
Conflicts:	%{name}-gphoto2 <= 1.13.2-2

Obsoletes:	%{name}-obexftp < 1.23.92

%description
This is a Virtual File System library based on gio and Glib.

%files -f gvfs.lang
%{_datadir}/bash-completion/completions/gvfs-*
%{_bindir}/gvfs-*
%{_libdir}/gio/modules/libgioremote-volume-monitor.so
%{_libdir}/gio/modules/libgvfsdbus.so
%{_libexecdir}/gvfsd
%{_libexecdir}/gvfsd-afp
%{_libexecdir}/gvfsd-afp-browse
%{_libexecdir}/gvfsd-burn
%{_libexecdir}/gvfsd-cdda
%{_libexecdir}/gvfsd-computer
%{_libexecdir}/gvfsd-dav
%{_libexecdir}/gvfsd-dnssd
%{_libexecdir}/gvfsd-ftp
%{_libexecdir}/gvfsd-http
%{_libexecdir}/gvfsd-localtest
%{_libexecdir}/gvfsd-metadata
%{_libexecdir}/gvfsd-network
%{_libexecdir}/gvfsd-recent
%{_libexecdir}/gvfsd-sftp
%{_libexecdir}/gvfsd-trash
%{_libdir}/gvfs-udisks2-volume-monitor
%{_prefix}/lib/tmpfiles.d/gvfsd-fuse-tmpfiles.conf
%{_datadir}/dbus-1/services/gvfs-daemon.service
%{_datadir}/dbus-1/services/gvfs-metadata.service
%{_datadir}/dbus-1/services/org.gtk.Private.UDisks2VolumeMonitor.service
%dir %{_datadir}/gvfs
%dir %{_datadir}/gvfs/mounts
%dir %{_datadir}/gvfs/remote-volume-monitors
%{_datadir}/gvfs/mounts/afp-browse.mount
%{_datadir}/gvfs/mounts/afp.mount
%{_datadir}/gvfs/mounts/burn.mount
%{_datadir}/gvfs/mounts/cdda.mount
%{_datadir}/gvfs/mounts/computer.mount
%{_datadir}/gvfs/mounts/dav.mount
%{_datadir}/gvfs/mounts/dav+sd.mount
%{_datadir}/gvfs/mounts/dns-sd.mount
%{_datadir}/gvfs/mounts/ftp.mount
%{_datadir}/gvfs/mounts/http.mount
%{_datadir}/gvfs/mounts/localtest.mount
%{_datadir}/gvfs/mounts/network.mount
%{_datadir}/gvfs/mounts/recent.mount
%{_datadir}/gvfs/mounts/sftp.mount
%{_datadir}/gvfs/mounts/trash.mount
%{_datadir}/GConf/gsettings/gvfs-dns-sd.convert
%{_datadir}/glib-2.0/schemas/org.gnome.system.dns_sd.gschema.xml
%{_datadir}/glib-2.0/schemas/org.gnome.system.gvfs.enums.xml
%{_datadir}/gvfs/remote-volume-monitors/udisks2.monitor
%{_mandir}/man1/gvfs-*
%{_mandir}/man1/gvfsd.*
%{_mandir}/man1/gvfsd-metadata.*
%{_mandir}/man7/gvfs.*
%{_sysconfdir}/skel/.gvfs

#----------------------------------------------------------------------------

%package -n %{libname}
Summary:	Glib VFS library
Group:		System/Libraries

%description -n %{libname}
This is a Virtual File System library based on gio and Glib.

%files -n %{libname}
%{_libdir}/gvfs/libgvfs*.so

#----------------------------------------------------------------------------

%package -n %{devname}
Summary:	Glib VFS Library - development files

Group:		Development/C
Requires:	%{libname} = %{EVRD}
Provides:	%{name}-devel = %{EVRD}

%description -n %{devname}
This is a Virtual File System library based on gio and Glib.

%files -n %{devname}
%doc NEWS ChangeLog AUTHORS TODO
%{_includedir}/gvfs-client

#----------------------------------------------------------------------------

%package fuse
Summary:	FUSE support for gvfs
Group:		System/Libraries
Requires:	%{name} = %{EVRD}
Requires:	fuse

%description fuse
This package provides support for applications not using gio
to access the gvfs filesystems.

%files fuse
%{_libexecdir}/gvfsd-fuse
%{_mandir}/man1/gvfsd-fuse.*

#----------------------------------------------------------------------------

%package iphone
Summary:	Iphone support for gvfs
Group:		System/Libraries
Requires:	%{name} = %{EVRD}

%description iphone
This package provides support for reading and writing files on
the iPhone and the iPod TouchP to applications using gvfs.

%files iphone
%{_libexecdir}/gvfs-afc-volume-monitor
%{_libexecdir}/gvfsd-afc
%{_datadir}/dbus-1/services/org.gtk.Private.AfcVolumeMonitor.service
%{_datadir}/gvfs/mounts/afc.mount
%{_datadir}/gvfs/remote-volume-monitors/afc.monitor

#----------------------------------------------------------------------------

%package smb
Summary:	Windows fileshare support for gvfs
Group:		System/Libraries
Requires:	%{name} = %{EVRD}

%description smb
This package provides support for reading and writing files on windows
shares (smb) to applications using gvfs.

%files smb
%{_libexecdir}/gvfsd-smb
%{_libexecdir}/gvfsd-smb-browse
%{_datadir}/gvfs/mounts/smb-browse.mount
%{_datadir}/gvfs/mounts/smb.mount
%{_datadir}/GConf/gsettings/gvfs-smb.convert
%{_datadir}/glib-2.0/schemas/org.gnome.system.smb.gschema.xml

#----------------------------------------------------------------------------

%package mtp
Summary:	Support MTP media players
Group:		System/Libraries
Requires:	%{name} = %{EVRD}

%description mtp
This package provides support for reading and writing files on MTP
media players.

%files mtp
%{_libexecdir}/gvfs-mtp-volume-monitor
%{_libexecdir}/gvfsd-mtp
%{_datadir}/dbus-1/services/org.gtk.Private.MTPVolumeMonitor.service
%{_datadir}/gvfs/mounts/mtp.mount
%{_datadir}/gvfs/remote-volume-monitors/mtp.monitor

#----------------------------------------------------------------------------

%package archive
Summary:	Archiving support for gvfs
Group:		System/Libraries
Requires:	%{name} = %{EVRD}

%description archive
This package provides support for accessing files inside Zip and Tar archives,
as well as ISO images, to applications using gvfs.

%files archive
%{_libexecdir}/gvfsd-archive
%{_datadir}/gvfs/mounts/archive.mount

#----------------------------------------------------------------------------

%if %{enable_gphoto2}
%package gphoto2
Summary:	Gphoto2 support for gvfs
Group:		System/Libraries
Requires:	%{name} = %{EVRD}

%description gphoto2
This package provides support for reading and writing files on
PTP based cameras (Picture Transfer Protocol) and MTP based
media players (Media Transfer Protocol) to applications using gvfs.

%files gphoto2
%{_libexecdir}/gvfsd-gphoto2
%{_datadir}/gvfs/mounts/gphoto2.mount
%{_libexecdir}/gvfs-gphoto2-volume-monitor
%{_datadir}/dbus-1/services/org.gtk.Private.GPhoto2VolumeMonitor.service
%{_datadir}/gvfs/remote-volume-monitors/gphoto2.monitor
%endif

#----------------------------------------------------------------------------

%prep
%setup -q
%apply_patches

%build
%configure2_5x \
	--with-dbus-service-dir=%{_datadir}/dbus-1/services \
	--disable-hal \
	--disable-gdu \
	--enable-udisks2 \
%if %{enable_gphoto2}
	--enable-gphoto2
%else
	--disable-gphoto2
%endif

%make

%install
%makeinstall_std
%find_lang gvfs

mkdir -p %{buildroot}%{_sysconfdir}/skel/.gvfs

# upstream bash completion is installed in the wrong place, with the wrong perms
# and redefine system variables without notice
rm -f %{buildroot}%{_sysconfdir}/profile.d/gvfs-bash-completion.sh


%changelog

* Sun Nov 20 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 1.24.3-1
- (b61658e) New version 1.24.3

* Sun Nov 20 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 1.24.1-1
- (d5ead0c) Install /etc/skel/.gvfs
- (Andrey Bondrov: 21267db) Requires dconf
- (Tigro: ff39dfe) update to 1.24.1

* Mon Sep 28 2015 Denis Silakov <denis.silakov@rosalab.ru> 1.21.2-5
- (a30807f) Added libsystemd BR
- (Denis Silakov: db2cc53) Rebuild with new libimobiledevice and libplist

* Mon Apr 13 2015 Tigro <ashejn@yandex-team.ru> 1.24.1-1
- (101ba36) update to 1.24.1

* Mon Mar 23 2015 Tigro <ashejn@yandex-team.ru> 1.24.0-1
- (10feb99) update to 1.24.0

* Tue Mar 17 2015 Tigro <ashejn@yandex-team.ru> 1.23.92-1
- (9cd192d) disable obexftp support
- (Tigro: f6f6583) update to 1.23.92

* Wed Mar 11 2015 Tigro <ashejn@yandex-team.ru> 1.23.90-1
- (067a024) pack more bash completion files
- (Tigro: c93cc1c) update to 1.23.90

* Sat Jul 12 2014 Andrey Bondrov <andrey.bondrov@rosalab.ru> 1.21.2-4
- (7cae00f) Bump release

* Wed Jul 02 2014 Andrey Bondrov <andrey.bondrov@rosalab.ru> 1.21.2-3
- (df71d60) Update BuildRequires to handle libcdio and libcdio_paranoia split

* Fri Jun 27 2014 Alex Burmashev <alex.burmashev@rosalab.ru> 1.21.2-2
- (231b07f) MassBuild#440: Increase release tag

* Fri Jun 06 2014 Denis Silakov <denis.silakov@rosalab.ru> 1.21.2-1
- (941257d) Updated to 1.21.2 (by updates_builder)

* Tue Jun 03 2014 Tigro <ashejn@gmail.com> 1.20.2-2
- (764f5f5) added iphone subpackage

* Fri May 16 2014 Tigro <ashejn@gmail.com> 1.20.2-1
- (991f836) pack files
- (Tigro: 9c77602) update to 1.20.2

* Wed May 07 2014 Andrey Bondrov <andrey.bondrov@rosalab.ru> 1.16.3-2
- (5eafc82) Spec cleanup

* Thu Jun 20 2013 root <root@localhost.localdomain> 1.16.3-1
- (b6534f0) sync to gnome38 branch

* Fri Nov 23 2012 Alexander Khryukin <alexander@mezon.ru> 1.14.2-1
- (398dbf5) old gvfs-1.14.1.tar.xz added too
- (Alexander Khryukin: 9e73389) version update 1.14.2

* Sat Oct 20 2012 Andrey Bondrov <andrey.bondrov@rosalab.ru> 1.14.1-1
- (8ba5e96) LOG Add pkgconfig(gtk+-3.0) to BuildRequires
- (Andrey Bondrov: 1c4d3b7) LOG Update BuildRequires and files
- (Andrey Bondrov: 1520459) LOG Add xsltproc to BuildRequires and iphone subpackage to Suggests
- (Andrey Bondrov: 481068c) LOG Drop no longer needed patch
- (Andrey Bondrov: 50a5e95) LOG New version 1.14.1

* Sat Oct 20 2012 Andrey Bondrov <andrey.bondrov@rosalab.ru> 1.13.2-5
- (a17d5ea) LOG Bump release for updates purpose

* Fri Aug 17 2012 Andrey Bondrov <andrey.bondrov@rosalab.ru> 1.13.2-4
- (7146943) LOG New version 1.13.2 (sync with Cooker)

* Fri Aug 17 2012 Andrey Bondrov <andrey.bondrov@rosalab.ru> 1.6.7-4
- (fbfa58c) Update patch to fix build with new glib (again)
- (Andrey Bondrov: 7a53ed9) Update patch to fix build with new glib
- (Andrey Bondrov: dc4db48) Add patch to fix build with new glib
- (Andrey Bondrov: 7a15040) Temporary update spec, but we need to update version later

* Mon Mar 12 2012 Andrew Lukoshko <andrew.lukoshko@rosalab.ru> 1.6.7-3
- (64dbb7a) added libgdu0 to buildreq
- (Andrew Lukoshko: 9159329) added libgdu0 to buildreq


